Loading...
Searching...
No Matches
gl33device.h File Reference

OpenGL 3.3 implementation - CGL33Device class. More...

`#include "graphics/core/device.h"`
`#include "graphics/core/material.h"`
`#include "graphics/opengl/glframebuffer.h"`
`#include "graphics/opengl/glutil.h"`
`#include "math/matrix.h"`
`#include <map>`
`#include <memory>`
`#include <set>`
`#include <string>`
`#include <vector>`
Include dependency graph for gl33device.h:

## Classes

struct | Gfx::DynamicBuffer
| Struct for dynamic buffers. More...
class | Gfx::CGL33Device
| Implementation of CDevice interface in OpenGL 3.3. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Detailed Description

OpenGL 3.3 implementation - CGL33Device class.